*** Settings ***
Documentation    Tests to verify that API createOutletsAndAddressRefMerchantId work correctly
Resource    ../../../resources/init.robot
Resource    ../../../keywords/rpp_merchant/outlet_v_2_resource_keywords.robot
Resource    ../../../keywords/rpp-mastermerchant/common_keywords.robot
Test Setup   Generate Gateway Header With Scope and Permission    ${ROLE_USER}    ${ROLE_USER_PASSWORD}    merchant.merchant.write,merchant.outlet.read,merchant.outlet.write,merchant.outlet.actAsAdmin
Test Teardown    Run Keywords    Delete Created Client And User Group    AND    Delete All Sessions

*** Variables ***
${outletNameTh}    ร้านแพนเค้กของออโดเมทพูล

*** Test Cases ***
TC_O2O_07659
    [Documentation]    [CreateOutletV2] Verify that POST /api/v2/outlets can create multiple outlets belonging to a merchant
    [Tags]    Regression    UnitTest
    Get Random Merchant IDs Follow Business Instruction
    Post Create Merchant    {"merchantId":"${MERCHANT_BRAND_ID}","trueyouId":"${MERCHANT_TY_ID}","tmnMerchantId":"${MERCHANT_TMN_ID}","refId":"${MERCHANT_BRAND_ID}","businessType":"INDIVIDUAL","categoryId":"5948d60ee1382323583e31c7","registerChannel":"mobile_admin_register","storeTypeId":1,"storeContactNo1":"0821022951","storeContactNo2":"0821022951","storeNameTh":"ร้านแพนเค้กของออโตเมทพูล","storeNameEn":"Pancake shop of Automate Pool team","storeDetail":"Mobile maketing","storeWebsite":"https://automate-pool-pancake.com","storeFacebook":"www.facebook.com/automate-pool-pancake","storeLineAt":"@automate-pool-pancake","storeTwitter":"automate-pool-pancake@twitter","storeInstagram":"automate-pool-pancake","thaiId":"1234567890123","taxId":"1234567890123","titleId":1,"titleOtherName":"-","firstName":"James","lastName":"Liew","email":"automate-pool-pancake@hotmail.com","contactNo":"0123456789","lineAt":"@automate-pool-pancake","lineId":"automate-pool-pancake","deviceType":"EDC","status":"WAITING","serviceTypes":["TMN","TY"],"birthdate":"2018-01-30","gender":"male","tmnStatus":"WAITING","trueyouStatus":"WAITING","tmnApproveDate":"2018-01-30T17:30:11","trueyouApproveDate":"2018-01-30T17:30:11","approveDate":"2018-01-30T17:30:11","tmnApiKey":"","road":null,"address":"222\/9","addressType":"merchant","postCode":"10140","districtId":1,"provinceId":1,"subdistrictId":1}
    Get Random Outlets IDs Follow Business Instruction    2
    Post Create Outlets And Address Ref Merchant Id    { "outlets": [ { "addresses": [ { "address": "TEST New Multi Outlet", "addressType": "store", "contentType": "test e2e", "districtId": 1, "latitude": "53.286518", "longtitude": "-6.416770", "postCode": "10250", "provinceId": 1, "road": "Ascesnd", "subdistrictId": 6 } ], "contactPersons": [ { "birthDate": "1988-10-10", "email": "automate-pool-pancake@ascendcorp.com", "firstNameEn": "Ascend", "firstNameTh": "แอสเซนด์", "gender": "Female", "lastNameEn": "Only", "lastNameTh": "ออนลี่", "mobileNo": "66-823103265", "occupation": "Testing", "passportNo": null, "phoneNo": "020000000", "refId": 1234567890123, "refType": "CID", "thaiId": "1598704423990", "titleId": 2, "titleOtherName": null } ], "merchantId": ${MERCHANT_SEQUENCE_ID}, "franchisee": true, "headQuarter": true, "outletDetail": "Test Outlet details", "outletNameEn": "Test_New Outlet ", "outletNameTh": "ทดสอบ_นิว เอ้าท์เล็ท ", "registerChannel": "app_sale_agent", "saleId": "0002", "status": "WAITING", "tmnOutletId": "@{OUTLET_TMN_ID}[0]", "tmnStatus": "WAITING", "trueyouStatus": "WAITING","outletId": "@{OUTLET_EXTERNAL_ID}[0]","trueyouId": "@{OUTLET_TY_ID}[0]" } ,{ "addresses": [ { "address": "TEST New Multi Outlet", "addressType": "store", "contentType": "test e2e", "districtId": 1, "latitude": "53.286518", "longtitude": "-6.416770", "postCode": "10250", "provinceId": 1, "road": "Ascesnd", "subdistrictId": 6 } ], "contactPersons": [ { "birthDate": "1988-10-10", "email": "automate-pool-pancake@ascendcorp.com", "firstNameEn": "Ascend", "firstNameTh": "แอสเซนด์", "gender": "Female", "lastNameEn": "Only", "lastNameTh": "ออนลี่", "mobileNo": "66-823103265", "occupation": "Testing", "passportNo": null, "phoneNo": "020000000", "refId": 1234567890123, "refType": "CID", "thaiId": "1598704423990", "titleId": 2, "titleOtherName": null } ], "merchantId": ${MERCHANT_SEQUENCE_ID}, "franchisee": true, "headQuarter": true, "outletDetail": "Test Outlet details", "outletNameEn": "Test_New Outlet ", "outletNameTh": "ทดสอบ_นิว เอ้าท์เล็ท ", "registerChannel": "app_sale_agent", "saleId": "0002", "status": "WAITING", "tmnOutletId": "@{OUTLET_TMN_ID}[0]", "tmnStatus": "WAITING", "trueyouStatus": "WAITING","outletId": "@{OUTLET_EXTERNAL_ID}[1]","trueyouId": "@{OUTLET_TY_ID}[1]" } ] }
    Delete Created Client And User Group
    Delete All Sessions
    Generate Gateway Header With Scope and Permission    ${ROLE_USER}    ${ROLE_USER_PASSWORD}    merchant.outlet.read,merchant.outlet.actAsAdmin
    Get Search Outlet By Id    ${OUTLET_SEQUENCE_ID}
    Verify The Successful Response Of Getting Outlet With Request Body

TC_O2O_07666
    [Documentation]    [CreateOutletV2] Verify that POST /api/v2/outlets request is rejected if any merchant does not exist
    [Tags]    Regression    UnitTest    Sanity
    Get Rand Numbers Only    5
    Get Random Outlets IDs Follow Business Instruction    1
    outlet_v_2_resource_keywords.Post Create Invalid Outlets And Address Ref Merchant Id   { "outlets": [ { "addresses": [ { "address": "TEST New Multi Outlet", "addressType": "store", "contentType": "test e2e", "districtId": 1, "latitude": "53.286518", "longtitude": "-6.416770", "postCode": "10250", "provinceId": 1, "road": "Ascesnd", "subdistrictId": 6 } ], "contactPersons": [ { "birthDate": "1988-10-10", "email": "automate-pool-pancake@ascendcorp.com", "firstNameEn": "Ascend", "firstNameTh": "แอสเซนด์", "gender": "Female", "lastNameEn": "Only", "lastNameTh": "ออนลี่", "mobileNo": "66-823103265", "occupation": "Testing", "passportNo": null, "phoneNo": "020000000", "refId": 1234567890123, "refType": "CID", "thaiId": "1598704423990", "titleId": 2, "titleOtherName": null } ], "merchantId": 212121212121, "franchisee": true, "headQuarter": true, "outletDetail": "Test Outlet details", "outletNameEn": "Test_New Outlet ", "outletNameTh": "ทดสอบ_นิว เอ้าท์เล็ท ", "registerChannel": "app_sale_agent", "saleId": "0002", "status": "WAITING", "tmnOutletId": "@{OUTLET_TMN_ID}[0]", "tmnStatus": "WAITING", "trueyouStatus": "WAITING","outletId": "@{OUTLET_EXTERNAL_ID}[0]","trueyouId": "@{OUTLET_TY_ID}[0]" } ] }
    Verify Bad Request Response When Creating Outlet With Merchant Not Exist

TC_O2O_04210
    [Documentation]    [Create Outlet V2] Verification creation Address in Outlet by sending 2 data
    [Tags]    Sanity    Regression    High    Hercules
    Get Random Merchant IDs Follow Business Instruction
    Post Create Merchant    {"merchantId":"${MERCHANT_BRAND_ID}","trueyouId":"${MERCHANT_TY_ID}","tmnMerchantId":"${MERCHANT_TMN_ID}","refId":"${MERCHANT_BRAND_ID}","businessType":"INDIVIDUAL","categoryId":"5948d60ee1382323583e31c7","registerChannel":"mobile_admin_register","storeTypeId":1,"storeContactNo1":"0821022951","storeContactNo2":"0821022951","storeNameTh":"ร้านแพนเค้กของออโตเมทพูล","storeNameEn":"Pancake shop of Automate Pool team","storeDetail":"Mobile maketing","storeWebsite":"https://automate-pool-pancake.com","storeFacebook":"www.facebook.com/automate-pool-pancake","storeLineAt":"@automate-pool-pancake","storeTwitter":"automate-pool-pancake@twitter","storeInstagram":"automate-pool-pancake","thaiId":"1234567890123","taxId":"1234567890123","titleId":1,"titleOtherName":"-","firstName":"James","lastName":"Liew","email":"automate-pool-pancake@hotmail.com","contactNo":"0123456789","lineAt":"@automate-pool-pancake","lineId":"automate-pool-pancake","deviceType":"EDC","status":"WAITING","serviceTypes":["TMN","TY"],"birthdate":"2018-01-30","gender":"male","tmnStatus":"WAITING","trueyouStatus":"WAITING","tmnApproveDate":"2018-01-30T17:30:11","trueyouApproveDate":"2018-01-30T17:30:11","approveDate":"2018-01-30T17:30:11","tmnApiKey":"","road":null,"address":"222\/9","addressType":"merchant","postCode":"10140","districtId":1,"provinceId":1,"subdistrictId":1}
    Get Random Outlets IDs Follow Business Instruction    1
    Post Create Outlets And Address Ref Merchant Id    {"outlets":[{"merchantId": ${MERCHANT_SEQUENCE_ID},"outletNameTh":"\u0e2a\u0e22\u0e32\u0e21\u0e41\u0e21\u0e47\u0e04\u0e42\u0e04\u0e2a\u0e32\u0e02\u0e32\u0e08\u0e23\u0e31\u0e0d","outletNameEn":"Jaran Siam Macro","outletDetail":"","headQuarter":true,"registerChannel":"app_sale_agent","franchisee":true,"saleId":"2","addresses":[{"provinceId":1,"districtId":26,"subdistrictId":8933,"address":"99 Ratchadaphisek Rd","road":"222222","postCode":"11400","latitude":"-74.3","longtitude":"-0.3"},{"provinceId":1,"districtId":26,"subdistrictId":8933,"address":"99 Ratchadaphisek Rd","road":"222222","postCode":"11400","latitude":"-74.3","longtitude":"-0.3"}],"contactPersons":[{"titleId":1,"titleOtherName":"","firstNameTh":"\u0e19\u0e34\u0e20\u0e32","lastNameTh":"\u0e43\u0e08\u0e07\u0e32\u0e21","firstNameEn":"","lastNameEn":"","phoneNo":null,"mobileNo":"66-802283800","email":"tung@gmail.com","thaiId":"1234567891234","passportNo":"2299999","birthDate":"2019-02-10","gender":"male","occupation":"developer"}], "status": "WAITING", "tmnOutletId": "@{OUTLET_TMN_ID}[0]", "tmnStatus": "WAITING", "trueyouStatus": "WAITING","outletId": "@{OUTLET_EXTERNAL_ID}[0]","trueyouId": "@{OUTLET_TY_ID}[0]"}]}
    Response Correct Code    ${CREATED_CODE}
    Get Search Outlet By Id    ${OUTLET_SEQUENCE_ID}
    Verify The Successful Response Of Getting Outlet With Request Body

TC_O2O_04211
    [Documentation]    [Create Outlet V2] Verification creation 2 Address in Outlet by sending only province, district, subdistrict and addressType
    [Tags]    Sanity    Regression    High    Hercules
    Get Random Merchant IDs Follow Business Instruction
    Post Create Merchant    {"merchantId":"${MERCHANT_BRAND_ID}","trueyouId":"${MERCHANT_TY_ID}","tmnMerchantId":"${MERCHANT_TMN_ID}","refId":"${MERCHANT_BRAND_ID}","businessType":"INDIVIDUAL","categoryId":"5948d60ee1382323583e31c7","registerChannel":"mobile_admin_register","storeTypeId":1,"storeContactNo1":"0821022951","storeContactNo2":"0821022951","storeNameTh":"ร้านแพนเค้กของออโตเมทพูล","storeNameEn":"Pancake shop of Automate Pool team","storeDetail":"Mobile maketing","storeWebsite":"https://automate-pool-pancake.com","storeFacebook":"www.facebook.com/automate-pool-pancake","storeLineAt":"@automate-pool-pancake","storeTwitter":"automate-pool-pancake@twitter","storeInstagram":"automate-pool-pancake","thaiId":"1234567890123","taxId":"1234567890123","titleId":1,"titleOtherName":"-","firstName":"James","lastName":"Liew","email":"automate-pool-pancake@hotmail.com","contactNo":"0123456789","lineAt":"@automate-pool-pancake","lineId":"automate-pool-pancake","deviceType":"EDC","status":"WAITING","serviceTypes":["TMN","TY"],"birthdate":"2018-01-30","gender":"male","tmnStatus":"WAITING","trueyouStatus":"WAITING","tmnApproveDate":"2018-01-30T17:30:11","trueyouApproveDate":"2018-01-30T17:30:11","approveDate":"2018-01-30T17:30:11","tmnApiKey":"","road":null,"address":"222\/9","addressType":"merchant","postCode":"10140","districtId":1,"provinceId":1,"subdistrictId":1}
    Get Random Outlets IDs Follow Business Instruction    1
    Post Create Outlets And Address Ref Merchant Id    { "outlets":[ { "addresses":[ { "addressType":"store", "districtId":1, "provinceId":1, "subdistrictId":6 }, { "addressType":"store", "districtId":1, "provinceId":1, "subdistrictId":6 } ], "contactPersons":[ { "birthDate":"1988-10-10", "email": "automate-pool-pancake-outlet@ascendcorp.com", "firstNameEn":"Ascend", "firstNameTh":"แอสเซนด์", "gender":"Female", "lastNameEn":"Only", "lastNameTh":"ออนลี่", "mobileNo":"66-823103265", "occupation":"Testing", "passportNo":null, "phoneNo":"020000000", "refId":1234567890123, "refType":"CID", "thaiId":"1598704423990", "titleId":2, "titleOtherName":null } ], "merchantId": ${MERCHANT_SEQUENCE_ID}, "franchisee":true, "headQuarter":true, "outletDetail":"Test Outlet details", "outletNameEn":"Test_New Outlet ", "outletNameTh":"ทดสอบ_นิว เอ้าท์เล็ท ", "registerChannel":"app_sale_agent", "saleId":"0002", "status":"WAITING", "tmnOutletId":null, "tmnStatus":"WAITING", "trueyouStatus":"WAITING","outletId": "@{OUTLET_EXTERNAL_ID}[0]","trueyouId": "@{OUTLET_TY_ID}[0]" } ] }
    Response Correct Code    ${CREATED_CODE}
    Get Search Outlet By Id    ${OUTLET_SEQUENCE_ID}
    Verify The Successful Response Of Getting Outlet With Request Body

TC_O2O_05206
    [Documentation]    [Search Outlet V2] Verification searching Outlet by sending parameter which is fields = address
    [Tags]    Sanity    Regression    High    Hercules
    Get Random Merchant IDs Follow Business Instruction
    Post Create Merchant    {"merchantId":"${MERCHANT_BRAND_ID}","trueyouId":"${MERCHANT_TY_ID}","tmnMerchantId":"${MERCHANT_TMN_ID}","refId":"${MERCHANT_BRAND_ID}","businessType":"INDIVIDUAL","categoryId":"5948d60ee1382323583e31c7","registerChannel":"mobile_admin_register","storeTypeId":1,"storeContactNo1":"0821022951","storeContactNo2":"0821022951","storeNameTh":"ร้านแพนเค้กของออโตเมทพูล","storeNameEn":"Pancake shop of Automate Pool team","storeDetail":"Mobile maketing","storeWebsite":"https://automate-pool-pancake.com","storeFacebook":"www.facebook.com/automate-pool-pancake","storeLineAt":"@automate-pool-pancake","storeTwitter":"automate-pool-pancake@twitter","storeInstagram":"automate-pool-pancake","thaiId":"1234567890123","taxId":"1234567890123","titleId":1,"titleOtherName":"-","firstName":"James","lastName":"Liew","email":"automate-pool-pancake@hotmail.com","contactNo":"0123456789","lineAt":"@automate-pool-pancake","lineId":"automate-pool-pancake","deviceType":"EDC","status":"WAITING","serviceTypes":["TMN","TY"],"birthdate":"2018-01-30","gender":"male","tmnStatus":"WAITING","trueyouStatus":"WAITING","tmnApproveDate":"2018-01-30T17:30:11","trueyouApproveDate":"2018-01-30T17:30:11","approveDate":"2018-01-30T17:30:11","tmnApiKey":"","road":null,"address":"222\/9","addressType":"merchant","postCode":"10140","districtId":1,"provinceId":1,"subdistrictId":1}
    Get Random Outlets IDs Follow Business Instruction    1
    Post Create Outlets And Address Ref Merchant Id    { "outlets":[ { "addresses":[ { "address": "333 Riverside", "addressType":"store", "districtId":1, "provinceId":1, "subdistrictId":6 } ], "contactPersons":[ { "birthDate":"1988-10-10", "email": "automate-pool-pancake-outlet@ascendcorp.com", "firstNameEn":"Ascend", "firstNameTh":"แอสเซนด์", "gender":"Female", "lastNameEn":"Only", "lastNameTh":"ออนลี่", "mobileNo":"66-823103265", "occupation":"Testing", "passportNo":null, "phoneNo":"020000000", "refId":1234567890123, "refType":"CID", "thaiId":"1598704423990", "titleId":2, "titleOtherName":null } ], "merchantId": ${MERCHANT_SEQUENCE_ID}, "franchisee":true, "headQuarter":true, "outletDetail":"Test Outlet details", "outletNameEn": "automate-pool-pancake-outlet", "outletNameTh": "${outletNameTh}${rand_num}", "registerChannel":"app_sale_agent", "saleId":"0002", "status":"WAITING", "tmnOutletId":null, "tmnStatus":"WAITING", "trueyouStatus":"WAITING","outletId": "@{OUTLET_EXTERNAL_ID}[0]","trueyouId": "@{OUTLET_TY_ID}[0]" } ] }
    Response Correct Code    ${CREATED_CODE}
    Get Search Outlet    outletNameTh=${outletNameTh}${rand_num}
    Response Should Contain Property With Value    content[0].outletNameTh    ${outletNameTh}${rand_num}

TC_O2O_05207
    [Documentation]    [Search Outlet V2] Verification searching Outlet by only sending parameter which is fields
    [Tags]    Sanity    Regression    High    Hercules
    Get Search Outlet    outletNameTh=
    Response Should Contain Property With Value    last    ${FALSE}

TC_O2O_05208
    [Documentation]    [Search Outlet V2] Verification searching Outlet by only sending parameter which is fields
    [Tags]    Sanity    Regression    High    Hercules
    Get Search Outlet    555
    Response Should Contain Property With Value    last    ${FALSE}

TC_O2O_05209
    [Documentation]    [Search Outlet V2] Verification searching Outlet by sending parameter which is fields = address
    [Tags]    Sanity    Regression    High    Hercules
    Get Random Merchant IDs Follow Business Instruction
    Post Create Merchant    {"merchantId":"${MERCHANT_BRAND_ID}","trueyouId":"${MERCHANT_TY_ID}","tmnMerchantId":"${MERCHANT_TMN_ID}","refId":"${MERCHANT_BRAND_ID}","businessType":"INDIVIDUAL","categoryId":"5948d60ee1382323583e31c7","registerChannel":"mobile_admin_register","storeTypeId":1,"storeContactNo1":"0821022951","storeContactNo2":"0821022951","storeNameTh":"ร้านแพนเค้กของออโตเมทพูล","storeNameEn":"Pancake shop of Automate Pool team","storeDetail":"Mobile maketing","storeWebsite":"https://automate-pool-pancake.com","storeFacebook":"www.facebook.com/automate-pool-pancake","storeLineAt":"@automate-pool-pancake","storeTwitter":"automate-pool-pancake@twitter","storeInstagram":"automate-pool-pancake","thaiId":"1234567890123","taxId":"1234567890123","titleId":1,"titleOtherName":"-","firstName":"James","lastName":"Liew","email":"automate-pool-pancake@hotmail.com","contactNo":"0123456789","lineAt":"@automate-pool-pancake","lineId":"automate-pool-pancake","deviceType":"EDC","status":"WAITING","serviceTypes":["TMN","TY"],"birthdate":"2018-01-30","gender":"male","tmnStatus":"WAITING","trueyouStatus":"WAITING","tmnApproveDate":"2018-01-30T17:30:11","trueyouApproveDate":"2018-01-30T17:30:11","approveDate":"2018-01-30T17:30:11","tmnApiKey":"","road":null,"address":"222\/9","addressType":"merchant","postCode":"10140","districtId":1,"provinceId":1,"subdistrictId":1}
    Get Random Outlets IDs Follow Business Instruction    1
    Post Create Outlets And Address Ref Merchant Id    {"outlets":[{"merchantId": ${MERCHANT_SEQUENCE_ID},"outletNameTh":"${outletNameTh}${rand_num}","outletNameEn":"Jaran Siam Macro","outletDetail":"","headQuarter":true,"registerChannel":"app_sale_agent","franchisee":true,"saleId":"2","addresses":[{"provinceId":1,"districtId":26,"subdistrictId":8933,"address":"99 Ratchadaphisek Rd","road":"222222","postCode":"11400","latitude":"-74.3","longtitude":"-0.3"},{"provinceId":1,"districtId":26,"subdistrictId":8933,"address":"99 Ratchadaphisek Rd","road":"222222","postCode":"11400","latitude":"-74.3","longtitude":"-0.3"}],"contactPersons":[{"titleId":1,"titleOtherName":"","firstNameTh":"\u0e19\u0e34\u0e20\u0e32","lastNameTh":"\u0e43\u0e08\u0e07\u0e32\u0e21","firstNameEn":"","lastNameEn":"","phoneNo":null,"mobileNo":"66-802283800","email":"tung@gmail.com","thaiId":"1234567891234","passportNo":"2299999","birthDate":"2019-02-10","gender":"male","occupation":"developer"}], "status": "WAITING", "tmnOutletId": "@{OUTLET_TMN_ID}[0]", "tmnStatus": "WAITING", "trueyouStatus": "WAITING","outletId": "@{OUTLET_EXTERNAL_ID}[0]","trueyouId": "@{OUTLET_TY_ID}[0]"}]}
    Response Correct Code    ${CREATED_CODE}
    Get Search Outlet    outletNameTh=${outletNameTh}${rand_num}&addressType=store
    Response Should Contain Property With Value    content[0].outletNameTh    ${outletNameTh}${rand_num}

TC_O2O_05210
    [Documentation]    [Search Outlet V2] Verification searching Outlet by sending parameter which is fields = address
    [Tags]    Sanity    Regression    High    Hercules
    Get Random Merchant IDs Follow Business Instruction
    Post Create Merchant    {"merchantId":"${MERCHANT_BRAND_ID}","trueyouId":"${MERCHANT_TY_ID}","tmnMerchantId":"${MERCHANT_TMN_ID}","refId":"${MERCHANT_BRAND_ID}","businessType":"INDIVIDUAL","categoryId":"5948d60ee1382323583e31c7","registerChannel":"mobile_admin_register","storeTypeId":1,"storeContactNo1":"0821022951","storeContactNo2":"0821022952","storeNameTh":"ร้านแพนเค้กของออโตเมทพูล","storeNameEn":"Pancake shop of Automate Pool team","storeDetail":"Mobile maketing","storeWebsite":"https://automate-pool-pancake.com","storeFacebook":"www.facebook.com/automate-pool-pancake","storeLineAt":"@automate-pool-pancake","storeTwitter":"automate-pool-pancake@twitter","storeInstagram":"automate-pool-pancake","thaiId":"1234567890123","taxId":"1234567890123","titleId":1,"titleOtherName":"-","firstName":"James","lastName":"Liew","email":"automate-pool-pancake@hotmail.com","contactNo":"0123456789","lineAt":"@automate-pool-pancake","lineId":"automate-pool-pancake","deviceType":"EDC","status":"WAITING","serviceTypes":["TMN","TY"],"birthdate":"2018-01-30","gender":"male","tmnStatus":"WAITING","trueyouStatus":"WAITING","tmnApproveDate":"2018-01-30T17:30:11","trueyouApproveDate":"2018-01-30T17:30:11","approveDate":"2018-01-30T17:30:11","tmnApiKey":"","road":null,"address":"222\/9","addressType":"merchant","postCode":"10140","districtId":1,"provinceId":1,"subdistrictId":1}
    Get Random Outlets IDs Follow Business Instruction    1
    Post Create Outlets And Address Ref Merchant Id    { "outlets":[ { "addresses":[ { "address": "333 Riverside", "addressType":"store", "districtId":1, "provinceId":1, "subdistrictId":6 } ], "contactPersons":[ { "birthDate":"1988-10-10", "email": "automate-pool-pancake-outlet@ascendcorp.com", "firstNameEn":"Ascend", "firstNameTh":"แอสเซนด์", "gender":"Female", "lastNameEn":"Only", "lastNameTh":"ออนลี่", "mobileNo":"66-823103265", "occupation":"Testing", "passportNo":null, "phoneNo":"020000000", "refId":1234567890123, "refType":"CID", "thaiId":"1598704423990", "titleId":2, "titleOtherName":null } ], "merchantId": ${MERCHANT_SEQUENCE_ID}, "franchisee":true, "headQuarter":true, "outletDetail":"Test Outlet details", "outletNameEn": "automate-pool-pancake-outlet", "outletNameTh": "แพนเค้ก เอ้าท์เล็ท ", "registerChannel":"app_sale_agent", "saleId":"0002", "status":"WAITING", "tmnOutletId":null, "tmnStatus":"WAITING", "trueyouStatus":"WAITING","outletId": "@{OUTLET_EXTERNAL_ID}[0]","trueyouId": "@{OUTLET_TY_ID}[0]" } ] }
    Response Correct Code    ${CREATED_CODE}
    Get Search Outlet    outletNameTh=${outletNameTh}${rand_num}&outletId=${OUTLET_SEQUENCE_ID}
    Response Should Contain Property With Value    last    ${TRUE}
